QualityFile (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.asrp
Class QualityFile

    java.lang.Object
      com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
          com.bbn.openmap.dataAccess.asrp.QualityFile

    public class QualityFile

extends GeneralASRPFile

Field Summary
`static java.lang.String` | `BOUNDING_POLYGON_COORDINATES`
`static java.lang.String` | `COLOUR_CODE_ID`
`static java.lang.String` | `HORIZONTAL_ACCURACY`
`static java.lang.String` | `OTHER_QUALITY_INFORMATION`
`static java.lang.String` | `SECURITY_AND_RELEASE`
`static java.lang.String` | `UP_TO_DATENESS`
`static java.lang.String` | `VERTICAL_ACCURACY`

Fields inherited from class com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
`fields, info`

Constructor Summary
`QualityFile(java.lang.String fileName)`

Method Summary
`static void` | `main(java.lang.String[] argv)`

Methods inherited from class com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
`addField, close, dump, dumpFields, getField, getFields, getInfo, load, loadField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECURITY_AND_RELEASE

    public static final java.lang.String SECURITY_AND_RELEASE

See Also:
  Constant Field Values

### UP_TO_DATENESS

    public static final java.lang.String UP_TO_DATENESS

See Also:
  Constant Field Values

### COLOUR_CODE_ID

    public static final java.lang.String COLOUR_CODE_ID

See Also:
  Constant Field Values

### OTHER_QUALITY_INFORMATION

    public static final java.lang.String OTHER_QUALITY_INFORMATION

See Also:
  Constant Field Values

### HORIZONTAL_ACCURACY

    public static final java.lang.String HORIZONTAL_ACCURACY

See Also:
  Constant Field Values

### BOUNDING_POLYGON_COORDINATES

    public static final java.lang.String BOUNDING_POLYGON_COORDINATES

See Also:
  Constant Field Values

### VERTICAL_ACCURACY

    public static final java.lang.String VERTICAL_ACCURACY

See Also:
  Constant Field Values

Constructor Detail

### QualityFile

    public QualityFile(java.lang.String fileName)
                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details